Bug 184371 - science/veusz: update to 1.19.1
Summary: science/veusz: update to 1.19.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-29 14:40 UTC by Max Brazhnikov
Modified: 2013-12-22 14:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov freebsd_committer 2013-11-29 14:40:00 UTC
- Update to 1.19.1
- Use autoplist
- Remove NO_STAGE

http://people.freebsd.org/~makc/patches/veusz.diff
Comment 1 Edwin Groothuis freebsd_committer 2013-11-29 14:40:07 UTC
Maintainer of science/veusz,

Please note that PR ports/184371 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184371

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-11-29 14:40:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Max Brazhnikov freebsd_committer 2013-12-01 18:38:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-12-22 14:33:51 UTC
Author: makc
Date: Sun Dec 22 14:33:44 2013
New Revision: 337192
URL: http://svnweb.freebsd.org/changeset/ports/337192

Log:
  - Update to 1.19.1
  - Use autoplist
  - Remove NO_STAGE
  
  PR:		ports/184371
  Approved by:	maintainer timeout (3 weeks)

Deleted:
  head/science/veusz/pkg-plist
Modified:
  head/science/veusz/Makefile
  head/science/veusz/distinfo

Modified: head/science/veusz/Makefile
==============================================================================
--- head/science/veusz/Makefile	Sun Dec 22 14:29:39 2013	(r337191)
+++ head/science/veusz/Makefile	Sun Dec 22 14:33:44 2013	(r337192)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	veusz
-PORTVERSION=	1.17.1
-PORTREVISION=	1
+PORTVERSION=	1.19.1
 CATEGORIES=	science kde
 MASTER_SITES=	http://download.gna.org/veusz/
 
@@ -15,13 +14,12 @@ LICENSE=	GPLv2
 RUN_DEPENDS=	${PYNUMPY} \
 		${PYTHON_PKGNAMEPREFIX}qt4-gui>=0:${PORTSDIR}/x11-toolkits/py-qt4-gui \
 		${PYTHON_PKGNAMEPREFIX}qt4-svg>0:${PORTSDIR}/graphics/py-qt4-svg
-BUILD_DEPENDS=	${RUN_DEPENDS}
+BUILD_DEPENDS:=	${RUN_DEPENDS}
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
-INSTALLS_EGGINFO=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 
 post-patch:
 	@${REINPLACE_CMD} \

Modified: head/science/veusz/distinfo
==============================================================================
--- head/science/veusz/distinfo	Sun Dec 22 14:29:39 2013	(r337191)
+++ head/science/veusz/distinfo	Sun Dec 22 14:33:44 2013	(r337192)
@@ -1,2 +1,2 @@
-SHA256 (veusz-1.17.1.tar.gz) = 81511fc9deebb8f786a667b4a9d849348e8685d767cf823f8291b625c113afd0
-SIZE (veusz-1.17.1.tar.gz) = 1718565
+SHA256 (veusz-1.19.1.tar.gz) = d6e2d530a18d8c1546be112e95b0fb649a213d559ba2d467810ab6c19adb52b0
+SIZE (veusz-1.19.1.tar.gz) = 1777351
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Max Brazhnikov freebsd_committer 2013-12-22 14:34:22 UTC
State Changed
From-To: feedback->closed

Committed.